
package xyz.etztech.qol.commands;

import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import xyz.etztech.qol.EtzTechUtil;
import xyz.etztech.qol.Lang;
import xyz.etztech.qol.QoL;


public class MarkerCommand implements CommandExecutor {
    QoL plugin;

    public MarkerCommand(QoL paramQoL)
    {
        this.plugin = paramQoL;
    }

    @Override
    public boolean onCommand(CommandSender commandSender, Command command, String s, String[] args) {
        if (!( commandSender instanceof Player)) {
            EtzTechUtil.sms(commandSender, Lang.NO_CONSOLE.getDef());
            return true;
        }
        if (!commandSender.hasPermission("qol.marker")) {
            EtzTechUtil.sms(commandSender, Lang.NO_PERMISSION.getDef());
            return true;
        }

        plugin.createMarkerAtPlayer((Player) commandSender);

        EtzTechUtil.sms(commandSender, "Location Marker Created!");

        return true;
    }
}